import { BaseProvider } from '@tinystacks/ops-core';
import { AwsSdkVersionEnum } from './aws-credentials/aws-credentials-type.js';
import { Provider } from '@tinystacks/ops-model';
import { CliEnvironmentProvider } from '@tinystacks/ops-core-widgets';
import { AwsCredentialsConfig } from '../types/types.js';
type AwsCredentialsProviderProps = Provider & {
    credentials: AwsCredentialsConfig;
    accountId?: string;
    region?: string;
    cliEnv?: {
        [key: string]: string;
    };
};
export declare class AwsCredentialsProvider extends BaseProvider implements CliEnvironmentProvider {
    static type: string;
    credentials: AwsCredentialsConfig;
    accountId?: string;
    region?: string;
    constructor(args: AwsCredentialsProviderProps);
    static fromJson(object: AwsCredentialsProviderProps): AwsCredentialsProvider;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials/aws-credentials-type.js").AwsCredentials>;
    getCliEnvironment(..._args: any): Promise<{
        [key: string]: string;
    }>;
}
export {};
