/// <reference types="react" />
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { Widget } from '@tinystacks/ops-model';
import { Image } from '../utils/aws-ecs-utils.js';
type Task = {
    taskId?: string;
    startTime?: Date;
    stopTime?: Date;
    status?: string;
    group?: string;
    version?: number;
    cwLogsArn?: string;
};
export type TaskDefinition = {
    taskDefinitionArn?: string;
    cpu?: string;
    memory?: string;
    roleArn?: string;
    execRoleArn?: string;
    containers?: Image[];
    tasks?: Task[];
};
export type Deployment = {
    deploymentId?: string;
    status?: string;
    startTime?: Date;
    runningCount?: number;
    pendingCount?: number;
    desiredCount?: number;
    taskDefinition?: TaskDefinition;
};
type AwsEcsDeploymentsProps = Widget & {
    region: string;
    clusterName: string;
    serviceName: string;
};
type AwsEcsDeploymentsType = AwsEcsDeploymentsProps & {
    deployments?: Deployment[];
};
type AwsEcsDeploymentsOverrides = {
    stoppedTaskId?: string;
};
export declare class AwsEcsDeployments extends BaseWidget {
    static type: string;
    region: string;
    clusterName: string;
    serviceName: string;
    deployments?: Deployment[];
    constructor(props: AwsEcsDeploymentsType);
    static fromJson(object: AwsEcsDeploymentsType): AwsEcsDeployments;
    toJson(): AwsEcsDeploymentsType;
    private hydrateDeployment;
    getData(providers?: BaseProvider[], overrides?: AwsEcsDeploymentsOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsEcsDeploymentsOverrides) => void): JSX.Element;
}
export {};
