import { ECS, Task, TaskDefinition, PortMapping, KeyValuePair, Secret, Volume } from '@aws-sdk/client-ecs';
export type Image = {
    containerId: string;
    portMappings: PortMapping[];
    envVars: KeyValuePair[];
    secrets: Secret[];
    volumes: Volume[];
    cwLogsGroupArn: string;
    memory: number;
    cpu: number;
};
export declare function getCoreEcsData(ecsClient: ECS, clusterName: string, serviceName: string): Promise<{
    service: import("@aws-sdk/client-ecs").Service;
    cluster: import("@aws-sdk/client-ecs").Cluster;
    taskArns: string[];
}>;
export declare function getTasksForTaskDefinition(tasks: Task[], taskDefinitionArn: string): Task[];
export declare function hydrateImages(taskDefinition: TaskDefinition, accountId: string): Image[];
